package com.study.sketch.learning;

import android.app.Application;
import android.content.res.AssetManager;
import android.graphics.Typeface;

import com.ad.maxlibrary.MaxInitManager;
import com.study.sketch.learning.database.MyDb;
import com.up.uploadlibrary.UpLoadManager;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class SketchingApp extends Application {
    public static String Key_ViewDir = "pre_dir";
    public static String Key_ISMAIN = "ismain";
    public static String Key_Camera = "camera_data";

    public static String TAG = "=============";


    public static SketchingApp app;



    public static Typeface defaultFont;

    @Override
    public void onCreate() {
        super.onCreate();
        app = this;
        AssetManager assets = getAssets();
        defaultFont = Typeface.createFromAsset(assets, "font.ttf");

        UpLoadManager.INSTANCE.init(this,TAG);
        MaxInitManager.INSTANCE.init(
                this,
                "JMeJ_zoCmLQanoRonVSe2Enge8a9nbn42zicsx1WI6o_8HiX6M5KleETOJBowqzbycmbn_iART4rFyC8m6uOi9",
                "f07d4c39d27093bd",
                "44efc5eed0c85f2f",
                "6f68d59368c99ff3",
                TAG
        );
        MyDb.init(this);

    }



    public static String Class_Animals = "Animals";
    public static String Class_birds = "Birds";
    public static String Class_butterfly = "Butterfly";
    public static String Class_cafe = "Cafe";
    public static String Class_cartoons = "Cartoons";
    public static String Class_christmas = "Christmas";
    public static String Class_festivals = "Festivals";
    public static String Class_flowers = "Flowers";
    public static String Class_fruits = "Fruits";
    public static String Class_general = "General";

    public static String Class_mehndi = "Mehndi";
    public static String Class_nature = "Nature";
    public static String Class_properties = "Properties";
    public static String Class_rangoli = "Rangoli";
    public static String Class_sports = "Sports";
    public static String Class_vehicles = "Vehicles";

    public static List<String> getAllDir() {
        ArrayList<String> list = new ArrayList<>();
        list.add(Class_Animals);
        list.add(Class_birds);
        list.add(Class_butterfly);
        list.add(Class_cafe);
        list.add(Class_cartoons);
        list.add(Class_christmas);
        list.add(Class_festivals);
        list.add(Class_flowers);
        list.add(Class_fruits);
        list.add(Class_general);
        list.add(Class_mehndi);
        list.add(Class_nature);
        list.add(Class_properties);
        list.add(Class_rangoli);
        list.add(Class_sports);
        list.add(Class_vehicles);
        Collections.shuffle(list);
        return list;


    }
}
